summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason A. Donenfeld <zx2c4@gentoo.org>2020-03-09 18:30:37 -0600
committerJason A. Donenfeld <zx2c4@gentoo.org>2020-03-09 18:31:11 -0600
commit0de74f598eef8ff70e9716abcd5bdf1083e2b54f (patch)
treebc27ef897290d62030db1ad6185dae59152e9ad1 /x11-drivers
parentsys-libs/binutils-libs: move deps to BDEPEND for EAPI 7, bug #700898 (diff)
downloadgentoo-0de74f598eef8ff70e9716abcd5bdf1083e2b54f.tar.gz
gentoo-0de74f598eef8ff70e9716abcd5bdf1083e2b54f.tar.bz2
gentoo-0de74f598eef8ff70e9716abcd5bdf1083e2b54f.zip
x11-drivers/xf86-video-intel: bump to 20191206
Closes: https://bugs.gentoo.org/707918 Package-Manager: Portage-2.3.93, Repoman-2.3.20 Signed-off-by: Jason A. Donenfeld <zx2c4@gentoo.org>
Diffstat (limited to 'x11-drivers')
-rw-r--r--x11-drivers/xf86-video-intel/Manifest1
-rw-r--r--x11-drivers/xf86-video-intel/files/xf86-video-intel-fno-common.patch24
-rw-r--r--x11-drivers/xf86-video-intel/xf86-video-intel-2.99.917_p20191209.ebuild91
3 files changed, 116 insertions, 0 deletions
diff --git a/x11-drivers/xf86-video-intel/Manifest b/x11-drivers/xf86-video-intel/Manifest
index 18eeaa30870..533a9327ce8 100644
--- a/x11-drivers/xf86-video-intel/Manifest
+++ b/x11-drivers/xf86-video-intel/Manifest
@@ -1 +1,2 @@
DIST xf86-video-intel-2.99.917_p20190301.tar.bz2 1247462 BLAKE2B 9047c7a05acaa2125db1527da58d6b4f18d1893e66413facf97b9136adf900cd2b806d149e484880a4361f4798ced52c03ef1b2054136e2896b60aefc3b5e319 SHA512 09ef78d002c6337a2b260999f07c70d9778aa7151f3252c7e2a186b0d1bf218192b616ac8363861e5285dec8fc8599b77eeb1a8195ca5029816f55189aee2b34
+DIST xf86-video-intel-2.99.917_p20191209.tar.bz2 1249789 BLAKE2B 69c4772d41283aaf2f635c48448c49f495c2ec443d8ac2ffdb8a3fe68024c31d769bd5d4fdb07cf6150906c44f9562ccb673ac52837fa6be540c61cbc5359ec8 SHA512 a6c9d19736fec794add638731966b8e5841f6b2d81576b5f978b5916cbd4b338aff93ed235c6f284ba86c11cf82a1ebbed2936fdfc539a124c5211436e5ae40c
diff --git a/x11-drivers/xf86-video-intel/files/xf86-video-intel-fno-common.patch b/x11-drivers/xf86-video-intel/files/xf86-video-intel-fno-common.patch
new file mode 100644
index 00000000000..5c0640f9fac
--- /dev/null
+++ b/x11-drivers/xf86-video-intel/files/xf86-video-intel-fno-common.patch
@@ -0,0 +1,24 @@
+From 7ca3a0d0d9a2de49db30708d38195b6585df4ed8 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Hanno=20B=C3=B6ck?= <hanno@gentoo.org>
+Date: Sun, 2 Feb 2020 14:18:39 +0100
+Subject: [PATCH] Avoid duplicate definition of I810CopyROP in i810.h and
+ i810_accel.c, fixes compilation with -fno-common/gcc-10.
+
+---
+ src/legacy/i810/i810.h | 1 -
+ 1 file changed, 1 deletion(-)
+
+diff --git a/src/legacy/i810/i810.h b/src/legacy/i810/i810.h
+index 347188c9..901b7e64 100644
+--- a/src/legacy/i810/i810.h
++++ b/src/legacy/i810/i810.h
+@@ -322,6 +322,5 @@ extern void I810InitMC(ScreenPtr pScreen);
+ extern const OptionInfoRec *I810AvailableOptions(int chipid, int busid);
+
+ extern const int I810CopyROP[16];
+-const int I810PatternROP[16];
+
+ #endif /* _I810_H_ */
+--
+2.24.1
+
diff --git a/x11-drivers/xf86-video-intel/xf86-video-intel-2.99.917_p20191209.ebuild b/x11-drivers/xf86-video-intel/xf86-video-intel-2.99.917_p20191209.ebuild
new file mode 100644
index 00000000000..fde4be0da90
--- /dev/null
+++ b/x11-drivers/xf86-video-intel/xf86-video-intel-2.99.917_p20191209.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+XORG_DRI=dri
+XORG_EAUTORECONF=yes
+inherit linux-info xorg-3 flag-o-matic
+
+if [[ ${PV} == 9999* ]]; then
+ SRC_URI=""
+else
+ KEYWORDS="~amd64 ~x86"
+ COMMIT_ID="f66d39544bb8339130c96d282a80f87ca1606caf"
+ SRC_URI="https://gitlab.freedesktop.org/xorg/driver/xf86-video-intel/-/archive/${COMMIT_ID}/${P}.tar.bz2"
+ S="${WORKDIR}/${PN}-${COMMIT_ID}"
+fi
+
+DESCRIPTION="X.Org driver for Intel cards"
+
+IUSE="debug +sna tools +udev uxa xvmc"
+
+REQUIRED_USE="
+ || ( sna uxa )
+"
+RDEPEND="
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXScrnSaver
+ >=x11-libs/pixman-0.27.1
+ >=x11-libs/libdrm-2.4.52[video_cards_intel]
+ >=x11-base/xorg-server-1.18
+ !<=media-libs/mesa-12.0.4
+ tools? (
+ x11-libs/libX11
+ x11-libs/libxcb
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXinerama
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libxshmfence
+ x11-libs/libXtst
+ )
+ udev? (
+ virtual/libudev:=
+ )
+ xvmc? (
+ x11-libs/libXvMC
+ >=x11-libs/libxcb-1.5
+ x11-libs/xcb-util
+ )
+"
+DEPEND="${RDEPEND}
+ x11-base/xorg-proto"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-fno-common.patch
+)
+
+src_configure() {
+ replace-flags -Os -O2
+ XORG_CONFIGURE_OPTIONS=(
+ --disable-dri1
+ $(use_enable debug)
+ $(use_enable dri)
+ $(use_enable dri dri3)
+ $(usex dri "--with-default-dri=3")
+ $(use_enable sna)
+ $(use_enable tools)
+ $(use_enable udev)
+ $(use_enable uxa)
+ $(use_enable xvmc)
+ )
+ xorg-3_src_configure
+}
+
+pkg_postinst() {
+ if linux_config_exists && \
+ kernel_is -lt 4 3 && ! linux_chkconfig_present DRM_I915_KMS; then
+ echo
+ ewarn "This driver requires KMS support in your kernel"
+ ewarn " Device Drivers --->"
+ ewarn " Graphics support --->"
+ ewarn " Direct Rendering Manager (XFree86 4.1.0 and higher DRI support) --->"
+ ewarn " <*> Intel 830M, 845G, 852GM, 855GM, 865G (i915 driver) --->"
+ ewarn " i915 driver"
+ ewarn " [*] Enable modesetting on intel by default"
+ echo
+ fi
+}